<div class="justify-content-center m-auto p-4 text-center d-flex">
  <div class="jumbotron jumbotron-fluid">
    <h1 class="mat-display-4 title">Tic-tac-toe</h1>
    <h2 class="mat-display-2 {{this.announcementColorClass}}">{{this.announcement}}</h2>
    <mat-grid-list cols="3" rowHeight="1:1" [gutterSize]="'4%'">
      <ng-container *ngFor="let square of gameBoard; let i = index">
        <mat-grid-tile [ngClass]="this.winningIndices.has(i) ? 'winning-squares' : 'normal-squares'"
                       (click)="squareClicked(i)">
          <h1 class="draughts mat-display-4 center" *ngIf="square === 1">X</h1>
          <h1 class="naughts mat-display-4 center" *ngIf="square === 2">O</h1>
        </mat-grid-tile>
      </ng-container>
    </mat-grid-list>
    <app-button type="reset" text="Reset" (btnClick)="resetGame()"></app-button>
  </div>
</div>

